<template>
    <h1>Таймслоты</h1>
    <v-alert v-if="error" :text="error" type="error" class="mb-8"></v-alert>
    <TimeslotFilters @submit="submit"></TimeslotFilters>
    <v-skeleton-loader v-if="isLoading" type="card"></v-skeleton-loader>
    <v-card v-else class="mx-auto">
        <v-list nav>
            <v-list-item v-for="item in results" :key="item.id" link :to="`/timeslots/${item.id}`">
                <b>{{item.title}}</b>
                <p><small>{{ item.start_date }} - {{ item.end_date }}</small></p>
            </v-list-item>
        </v-list>        
    </v-card>
</template>

<script>
import { useTimeslotsStore } from '@/store/timeslots';
import { mapState } from 'pinia';

export default {
    computed: mapState(useTimeslotsStore, ['results', 'isLoading', 'error', 'filters']),
    methods: {
        submit() {
            this.$emit('submit');
        }
    }
}
</script>